---
title: llarp::service::ILookupHolder

---

# llarp::service::ILookupHolder





Inherited by [llarp::service::Endpoint](Classes/structllarp_1_1service_1_1Endpoint.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual void | **[PutLookup](Classes/structllarp_1_1service_1_1ILookupHolder.md#function-putlookup)**([IServiceLookup](Classes/structllarp_1_1service_1_1IServiceLookup.md) * l, uint64_t txid) =0 |

## Public Functions Documentation

### function PutLookup

```cpp
virtual void PutLookup(
    IServiceLookup * l,
    uint64_t txid
) =0
```


**Reimplemented by**: [llarp::service::Endpoint::PutLookup](Classes/structllarp_1_1service_1_1Endpoint.md#function-putlookup)


-------------------------------

Updated on 2023-01-09 at 18:23:49 +0000